//
//  wcf2ViewController.m
//  wcf2
//
//  Created by mysoft on 3/31/11.
//  Copyright 2011 11. All rights reserved.
//

#import "wcf2ViewController.h"

@implementation wcf2ViewController
@synthesize label;
-(void)viewDidLoad {
	[super viewDidLoad];
    //Web Service Call
    NSString *soapMessage = [NSString stringWithFormat:
							 @"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
							 "<SOAP-ENV:Envelope \n"
							 "xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" \n"
							 "xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" \n" 
							 "xmlns:SOAP-ENC=\"http://schemas.xmlsoap.org/soap/encoding/\" \n"
							 "SOAP-ENV:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" \n"
							 "xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\"> \n"
							 "<SOAP-ENV:Body> \n"
							 "<GetData xmlns=\"http://tempuri.org/\">"
							 "</GetData> \n"
							 "</SOAP-ENV:Body> \n"
							 "</SOAP-ENV:Envelope>"];
	
	
	//[[NSURLCache sharedURLCache] removeAllCachedResponses];
    NSURL *url = [NSURL URLWithString:@"http://10.5.23.117:8008/Service1.svc"];                           
    NSMutableURLRequest *theRequest = [NSMutableURLRequest requestWithURL:url];                         
    NSString *msgLength = [NSString stringWithFormat:@"%d", [soapMessage length]];              
    [theRequest addValue: @"text/xml; charset=utf-8" forHTTPHeaderField:@"Content-Type"];       
    [theRequest addValue: @"http://tempuri.org/IService1/GetData" forHTTPHeaderField:@"SOAPAction"];
    [theRequest addValue: msgLength forHTTPHeaderField:@"Content-Length"];
    [theRequest setHTTPMethod:@"POST"];     
    [theRequest setHTTPBody: [soapMessage dataUsingEncoding:NSUTF8StringEncoding]];
    NSURLConnection *theConnection = [[NSURLConnection alloc] initWithRequest:theRequest delegate:self];
	
    if(theConnection) {
        webData = [[NSMutableData data] retain];
    }
    else {
        NSLog(@"theConnection is NULL");
	}
}

- (void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response {
	[webData setLength:0];
}

- (void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data {
	[webData appendData:data];
}

- (void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error {
	label.text = [NSString stringWithFormat:@"Connection failed: %@", [error description]];
}

- (void)connectionDidFinishLoading:(NSURLConnection *)connection {
	[connection release];
	NSLog(@"Data has been loaded");
	NSXMLParser *parser = [[NSXMLParser alloc] initWithData:webData];
	[parser setDelegate:self];
    [parser parse];
	[webData release];
}

- (void)parserDidStartDocument:(NSXMLParser *)parser {
	
}

- (void)parser:(NSXMLParser *)parser 
didStartElement:(NSString *)elementName 
  namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qualifiedName 
    attributes:(NSDictionary *)attributeDict {
	currentElement = elementName;
}

- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	

		NSString *fixedString = [string stringByTrimmingCharactersInSet:
								 [NSCharacterSet whitespaceAndNewlineCharacterSet]];
		
		if ([currentElement isEqualToString:@"GetDataResult"])
		{
			label.text=@"";
	        UIAlertView  *view = [[UIAlertView alloc] initWithTitle:@"调用wcf成功！" message:fixedString delegate:nil cancelButtonTitle:nil otherButtonTitles:nil] ;
			[view show];
			[view release];
		}

}





- (void)parser:(NSXMLParser *)parser 
 didEndElement:(NSString *)elementName 
  namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qName {
	

}

- (void)parserDidEndDocument:(NSXMLParser *)parser {
	
	
}


- (void)dealloc {
    [super dealloc];
}

@end
